package com.fastbee.waterele.service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.fastbee.common.core.page.TableDataInfo;
import com.fastbee.waterele.domain.MaWatereleRecord;

/**
 * 水电双计数据记录Service接口
 * 
 * @author kerwincui
 * @date 2024-08-12
 */
public interface IMaWatereleRecordService 
{
    /**
     * 查询水电双计数据记录
     * 
     * @param id 水电双计数据记录主键
     * @return 水电双计数据记录
     */
    public MaWatereleRecord selectMaWatereleRecordById(Long id);

    /**
     * 查询水电双计数据记录列表
     * 
     * @param maWatereleRecord 水电双计数据记录
     * @return 水电双计数据记录集合
     */
    public TableDataInfo selectMaWatereleRecordList(MaWatereleRecord maWatereleRecord);

    List<MaWatereleRecord> getList(MaWatereleRecord maWatereleRecord);
    /**
     * 新增水电双计数据记录
     * 
     * @param maWatereleRecord 水电双计数据记录
     * @return 结果
     */
    public int insertMaWatereleRecord(MaWatereleRecord maWatereleRecord);

    /**
     * 修改水电双计数据记录
     * 
     * @param maWatereleRecord 水电双计数据记录
     * @return 结果
     */
    public int updateMaWatereleRecord(MaWatereleRecord maWatereleRecord);

    /**
     * 批量删除水电双计数据记录
     * 
     * @param ids 需要删除的水电双计数据记录主键集合
     * @return 结果
     */
    public int deleteMaWatereleRecordByIds(Long[] ids);

    /**
     * 删除水电双计数据记录信息
     * 
     * @param id 水电双计数据记录主键
     * @return 结果
     */
    public int deleteMaWatereleRecordById(Long id);

    ArrayList<Object> chartData(MaWatereleRecord maWatereleRecord);


}
